# DropDownListItem Class Reference

Base list item class from which others are derived. More...

`#include <dropdown_type.h>`

Inheritance diagram for DropDownListItem:

## Public Member Functions
| DropDownListItem (int result, bool masked)
virtual bool | Selectable () const
virtual uint | Height (uint width) const
virtual uint | Width () const
virtual void | Draw (int x, int y, uint width, uint height, bool sel, int bg_colour) const
## Data Fields
int | result
| Result code to return to window on selection.
bool | masked
| Masked and unselectable item.

## Detailed Description

Base list item class from which others are derived.

If placed in a list it will appear as a horizontal line in the menu.

Definition at line 15 of file dropdown_type.h.

The documentation for this class was generated from the following files:

- src/widgets/dropdown_type.h
- src/widgets/dropdown.cpp